### Constructor

# EDataCal CalCache new

since: 3.26

#### Declaration [src]

    ECalCache*
    e_cal_cache_new (
      const gchar* filename,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Creates a new `ECalCache`.

Available since: 3.26

#### Parameters

`filename`

  Type: `const gchar*`

  File name to load or create the new cache.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `ECalCache`

A new `ECalCache` or `NULL` on error.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.